package com.hzya.frame.sysnew.application.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 应用表(SysApplication)实体类
 *
 * @author makejava
 * @since 2023-09-22 16:22:18
 */
public class SysApplicationEntity extends BaseEntity {
 
  /**  应用logo（地址或者id） */
   private String appLogo;
  /**  应用是否启用（1、启用 2、停用） */
   private String appStatus;
  /**  应用名称 */
   private String name;
  /**  版本号 */
   private String versionNumber;
  /**  接入方式（1、接口2、H53、PC网页4、PC应用程序 ） */
   private String accessMode;
  /**  所属领域（枚举表） */
   private String affiliationField;
  /**  厂商 */
   private String manufacturer;
  /**  应用简介 */
   private String appIntroduction;
  /**  应用客户端地址（PC） */
   private String clientPath;
  /**  应用网页端地址（PC） */
   private String webPath;
  /**  应用程序地址（移动端） */
   private String programPath;
  /**  应用key */
   private String publicKey;
  /**  应用密钥 */
   private String secretKey;
  /**  接口地址 */
   private String interfaceAddress;
  /**  接口环境是否启用（1、开启 2、关闭） */
   private String interfaceStatus;
  /**  数据源是否启用（1、开启 2、关闭） */
   private String dbStatus;
   /**  新消息数 */
   private int newMessageCount;
   //nifi的appid
   private String nifiAppId;

    public int getNewMessageCount() {
        return newMessageCount;
    }

    public void setNewMessageCount(int newMessageCount) {
        this.newMessageCount = newMessageCount;
    }

    /**  系统类型  1、致远OA 2、用友U8C 3、用友BIP */
    private String appType;
    /**  appid */
    private Integer appId;
    /**  ip白名单 */
    private String systemAddress;

    public String getAppLogo() {
        return appLogo;
    }

    public void setAppLogo(String appLogo) {
        this.appLogo = appLogo;
    }

    public String getAppStatus() {
        return appStatus;
    }

    public void setAppStatus(String appStatus) {
        this.appStatus = appStatus;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getVersionNumber() {
        return versionNumber;
    }

    public void setVersionNumber(String versionNumber) {
        this.versionNumber = versionNumber;
    }

    public String getAccessMode() {
        return accessMode;
    }

    public void setAccessMode(String accessMode) {
        this.accessMode = accessMode;
    }

    public String getAffiliationField() {
        return affiliationField;
    }

    public void setAffiliationField(String affiliationField) {
        this.affiliationField = affiliationField;
    }

    public String getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public String getAppIntroduction() {
        return appIntroduction;
    }

    public void setAppIntroduction(String appIntroduction) {
        this.appIntroduction = appIntroduction;
    }

    public String getClientPath() {
        return clientPath;
    }

    public void setClientPath(String clientPath) {
        this.clientPath = clientPath;
    }

    public String getWebPath() {
        return webPath;
    }

    public void setWebPath(String webPath) {
        this.webPath = webPath;
    }

    public String getProgramPath() {
        return programPath;
    }

    public void setProgramPath(String programPath) {
        this.programPath = programPath;
    }

    public String getPublicKey() {
        return publicKey;
    }

    public void setPublicKey(String publicKey) {
        this.publicKey = publicKey;
    }

    public String getSecretKey() {
        return secretKey;
    }

    public void setSecretKey(String secretKey) {
        this.secretKey = secretKey;
    }

    public String getInterfaceAddress() {
        return interfaceAddress;
    }

    public void setInterfaceAddress(String interfaceAddress) {
        this.interfaceAddress = interfaceAddress;
    }

    public String getInterfaceStatus() {
        return interfaceStatus;
    }

    public void setInterfaceStatus(String interfaceStatus) {
        this.interfaceStatus = interfaceStatus;
    }

    public String getDbStatus() {
        return dbStatus;
    }

    public void setDbStatus(String dbStatus) {
        this.dbStatus = dbStatus;
    }

    public Integer getAppId() {
        return appId;
    }

    public void setAppId(Integer appId) {
        this.appId = appId;
    }

    public String getSystemAddress() {
        return systemAddress;
    }

    public void setSystemAddress(String systemAddress) {
        this.systemAddress = systemAddress;
    }

    public String getAppType() {
        return appType;
    }

    public void setAppType(String appType) {
        this.appType = appType;
    }

    public String getNifiAppId() {
        return nifiAppId;
    }

    public void setNifiAppId(String nifiAppId) {
        this.nifiAppId = nifiAppId;
    }
}

